using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ModelTest : MonoBehaviour {

	// Use this for initialization
	void Start () {
        HashSet<ModuleModel> modules = new HashSet<ModuleModel>();
        modules.Add(new ModuleModel(1, 1, "S"));
        modules.Add(new ModuleModel(1, 1, "S"));
        modules.Add(new ModuleModel(1, 1, "S"));
        modules.Add(new ModuleModel(2, 1, "M"));
        modules.Add(new ModuleModel(2, 1, "M"));
        modules.Add(new ModuleModel(2, 1, "M"));
        modules.Add(new ModuleModel(1, 2, "V"));
        modules.Add(new ModuleModel(1, 2, "V"));
        modules.Add(new ModuleModel(1, 2, "V"));
        modules.Add(new ModuleModel(2, 2, "Q"));
        modules.Add(new ModuleModel(2, 2, "Q"));
        modules.Add(new ModuleModel(2, 2, "Q"));
        modules.Add(new ModuleModel(1, 1, "S"));
        modules.Add(new ModuleModel(1, 1, "S"));
        modules.Add(new ModuleModel(1, 1, "S"));
        modules.Add(new ModuleModel(2, 1, "M"));
        modules.Add(new ModuleModel(2, 1, "M"));
        modules.Add(new ModuleModel(2, 1, "M"));
        modules.Add(new ModuleModel(1, 2, "V"));
        modules.Add(new ModuleModel(1, 2, "V"));
        modules.Add(new ModuleModel(1, 2, "V"));
        modules.Add(new ModuleModel(2, 2, "Q"));
        modules.Add(new ModuleModel(2, 2, "Q"));
        modules.Add(new ModuleModel(2, 2, "Q"));
        modules.Add(new ModuleModel(1, 1, "S"));
        modules.Add(new ModuleModel(1, 1, "S"));
        modules.Add(new ModuleModel(1, 1, "S"));
        modules.Add(new ModuleModel(2, 1, "M"));
        modules.Add(new ModuleModel(2, 1, "M"));
        modules.Add(new ModuleModel(2, 1, "M"));
        modules.Add(new ModuleModel(1, 2, "V"));
        modules.Add(new ModuleModel(1, 2, "V"));
        modules.Add(new ModuleModel(1, 2, "V"));
        modules.Add(new ModuleModel(2, 2, "Q"));
        modules.Add(new ModuleModel(2, 2, "Q"));
        modules.Add(new ModuleModel(2, 2, "Q"));
        modules.Add(new ModuleModel(1, 1, "S"));
        modules.Add(new ModuleModel(1, 1, "S"));
        modules.Add(new ModuleModel(1, 1, "S"));
        modules.Add(new ModuleModel(2, 1, "M"));
        modules.Add(new ModuleModel(2, 1, "M"));
        modules.Add(new ModuleModel(2, 1, "M"));
        modules.Add(new ModuleModel(1, 2, "V"));
        modules.Add(new ModuleModel(1, 2, "V"));
        modules.Add(new ModuleModel(1, 2, "V"));
        modules.Add(new ModuleModel(2, 2, "Q"));
        modules.Add(new ModuleModel(2, 2, "Q"));
        modules.Add(new ModuleModel(2, 2, "Q"));
        ModuleModel[] modulesArray = new ModuleModel[modules.Count];
        modules.CopyTo(modulesArray);
        HomeModel home = new HomeModel(modulesArray, 16, 9, new ModuleModel[0]);
        Debug.Log(home);
    }
}
